﻿using Sample.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;


namespace Sample.Controllers
{
    public partial class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {                    
            return View();
        }        
        public ActionResult Event()
        {
            var DataSource = OrderRepository.GetAllRecords().Take(20);
            DataResult result = new DataResult();
            result.result = DataSource.ToList();
            result.count = DataSource.Count();
            return Json(result, JsonRequestBehavior.AllowGet);
        }

        
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
    }

}
